How do I reset and put the zshrc file back to default?
Asked Answered
G

7

36
/Users/ello/.zshrc:source:3: no such file or directory: 
/Users/ello/Projects/config/env.sh
Ello-MacBook-Pro% /Users/ello/.zshrc:source
zsh: no such file or directory: /Users/ello/.zshrc:source
Ello-MacBook-Pro% /Users/ello/.zshrc
zsh: permission denied: /Users/ello/.zshrc
Ello-MacBook-Pro%

This has been happening, after I foolishly edited the .zshrc file. All that remains in the file now, after attempting to reset the shell, is this:

# Created by newuser for 5.3.1
# Add env.sh

How do I undo everything, reinstall zsh, or remake the .zshrc file?

This is on macOS Sierra.

Edit: I reinstalled oh-my-zsh, leading to this message:

ain() {
# Use colors, but only if connected to a terminal, and that terminal
# supports them.
if which tput >/dev/null 2>&1; then
  ncolors=$(tput colors)
fi
if [ -t 1 ] && [ -n "$ncolors" ] && [ "$ncolors" -ge 8 ]; then
RED="$(tput setaf 1)"
GREEN="$(tput setaf 2)"
YELLOW="$(tput setaf 3)"
BLUE="$(tput setaf 4)"
BOLD="$(tput bold)"
NORMAL="$(tput sgr0)"
else
RED=""
GREEN=""
YELLOW=""
BLUE=""
BOLD=""
NORMAL=""
fi

# Only enable exit-on-error after the non-critical colorization 
 stuff,
# which may fail on systems lacking tput or terminfo
set -e

CHECK_ZSH_INSTALLED=$(grep /zsh$ /etc/shells | wc -l)
if [ ! $CHECK_ZSH_INSTALLED -ge 1 ]; then
printf "${YELLOW}Zsh is not installed!${NORMAL} Please install zsh 
first!\n"
exit
 fi
unset CHECK_ZSH_INSTALLED

if [ ! -n "$ZSH" ]; then
ZSH=~/.oh-my-zsh
fi

if [ -d "$ZSH" ]; then
printf "${YELLOW}You already have Oh My Zsh installed.${NORMAL}\n"
printf "You'll need to remove $ZSH if you want to re-install.\n"
exit
fi

# Prevent the cloned repository from having insecure permissions. 
Failing to do
# so causes compinit() calls to fail with "command not found: 
compdef" errors
# for users with insecure umasks (e.g., "002", allowing group 
writability). Note
# that this will be ignored under Cygwin by default, as Windows ACLs 
take
# precedence over umasks except for filesystems mounted with option 
"noacl".
umask g-w,o-w

printf "${BLUE}Cloning Oh My Zsh...${NORMAL}\n"
hash git >/dev/null 2>&1 || {
echo "Error: git is not installed"
exit 1
}
# The Windows (MSYS) Git is not compatible with normal use on cygwin
if [ "$OSTYPE" = cygwin ]; then
if git --version | grep msysgit > /dev/null; then
  echo "Error: Windows/MSYS Git is not supported on Cygwin"
  echo "Error: Make sure the Cygwin git package is installed and is 
first on the path"
  exit 1
fi
fi
env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git 
$ZSH || {
printf "Error: git clone of oh-my-zsh repo failed\n"
exit 1
 }


  printf "${BLUE}Looking for an existing zsh config...${NORMAL}\n"
if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]; then
  printf "${YELLOW}Found ~/.zshrc.${NORMAL} ${GREEN}Backing up to 
~/.zshrc.pre-oh-my-zsh${NORMAL}\n";
mv ~/.zshrc ~/.zshrc.pre-oh-my-zsh;
fi
Gestalt answered 14/7, 2017 at 22:3 Comment(0)
L
13

There is no such thing as "default". The best you can do, is check if your system has /etc/skel/.zshrc. If yes copy that into your home.

When you log in first time, your home is populated with everything from /etc/skel.

Leucippus answered 14/7, 2017 at 22:14 Comment(3)
I just checked and I do not appear to have this file. Should I just attempt to reinstall zsh again?Gestalt
@ShruHooWoo That seems like overkill. Just create a new .zshrc from scratch to your liking - it uses the exact same syntax as zsh. It should not be very difficult, and it might be a good learning experience.Leucippus
I was able to successfully remake the file, and I can't thank you (and everyone else who answered) enough.Gestalt
B
79

zsh itself does not have a default user configuration. So the default ~/.zshrc is actually no ~/.zshrc.

But as you tagged the question with I would assume that you want to restore the default oh-my-zsh configuration. For this it should be sufficient to copy templates/zshrc.zsh-template from your oh-my-zsh installation path, usually ~/.oh-my-zsh:

cp ~/.oh-my-zsh/templates/zshrc.zsh-template ~/.zshrc

You may want to backup your current ~/.zshrc beforehand. Although it may have some problems now, you still might want to look up some settings once you reverted to default.

Bellbella answered 15/7, 2017 at 21:3 Comment(1)
The source for this has been helpful for me to reference: github.com/ohmyzsh/ohmyzsh/blob/master/templates/…Donyadoodad
L
13

There is no such thing as "default". The best you can do, is check if your system has /etc/skel/.zshrc. If yes copy that into your home.

When you log in first time, your home is populated with everything from /etc/skel.

Leucippus answered 14/7, 2017 at 22:14 Comment(3)
I just checked and I do not appear to have this file. Should I just attempt to reinstall zsh again?Gestalt
@ShruHooWoo That seems like overkill. Just create a new .zshrc from scratch to your liking - it uses the exact same syntax as zsh. It should not be very difficult, and it might be a good learning experience.Leucippus
I was able to successfully remake the file, and I can't thank you (and everyone else who answered) enough.Gestalt
M
1

My dumass decided to just put a crash command into the zsh file. Now when I open the terminal, it just kernel panics. so I just deleted the config file using rm -f ~/.zshrc* and by default, it just got replaced with another copy. So good luck.

Monograph answered 9/8, 2021 at 1:13 Comment(0)
M
1

[Windows Friendly Solution - If terminal(using vim editor) steps are confusing]

Actually, there is no default .zshrc file, but if you need to edit is as a simple notepad, do these:

  1. Goto /Users/ Folder via Finder App.
  2. Click Shift + Command + . (Dot) to view hidden system files.
  3. Look on .zshrc file, double click to open, then it will open in a notepad(TextEdit.app) in default.
  4. Clear whichever lines to be removed.
  5. Retype/Edit the file as per the Paths to be added.
  6. Hit Command + s to save and exit.
Melgar answered 11/1, 2023 at 17:47 Comment(0)
B
1

In macOS Ventura, /etc/zshrc holds the system-wide profile for zsh. Creating a ~/.zshrc would overrides it with a user profile.

Bezanson answered 13/10, 2023 at 21:0 Comment(0)
C
0

You can copy .zshrc template from

https://github.com/ohmyzsh/ohmyzsh/blob/master/templates/zshrc.zsh-template

And copy and paste all content in to ~/.zshrc

Columelliform answered 17/4, 2022 at 15:37 Comment(0)
V
-3

Make it your default shell using this command:

 chsh -s $(which zsh)
Vasomotor answered 13/6, 2018 at 19:7 Comment(1)
This explains how to set the user's default shell to zsh, not how to restore their zsh configuration.Wheelchair

© 2022 - 2024 — McMap. All rights reserved.